#version 120
varying float light;
uniform vec4 u_color;
uniform float u_lightFactor;

void main() {
	float lightValue = light * u_lightFactor + (1.0 - u_lightFactor);
	gl_FragColor = vec4(u_color.r * lightValue * u_color.a, u_color.g * lightValue * u_color.a, u_color.b * lightValue * u_color.a, u_color.a);
}